Module java.base
Package java.lang

# Class UnsatisfiedLinkError

java.lang.Object
java.lang.Throwable
java.lang.Error
java.lang.LinkageError
java.lang.UnsatisfiedLinkError

All Implemented Interfaces:
  `Serializable`

public class UnsatisfiedLinkError extends LinkageError
Thrown if the Java Virtual Machine cannot find an appropriate native-language definition of a method declared `native`.

Since:
  1.0
See Also:
  - `Runtime`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnsatisfiedLinkError()`
Constructs an `UnsatisfiedLinkError` with no detail message.
`UnsatisfiedLinkError(String s)`
Constructs an `UnsatisfiedLinkError` with the specified detail message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnsatisfiedLinkError

public UnsatisfiedLinkError()
Constructs an `UnsatisfiedLinkError` with no detail message.

### UnsatisfiedLinkError

public UnsatisfiedLinkError(String s)
Constructs an `UnsatisfiedLinkError` with the specified detail message.

Parameters:
  `s` - the detail message.